DOM::HTMLAreaElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLAreaElement Class Reference

Client-side image map area definition. More...

`#include <html_image.h>`

Inheritance diagram for DOM::HTMLAreaElement:

[legend]
Collaboration diagram for DOM::HTMLAreaElement:

[legend]
List of all members.

## Public Member Functions
| HTMLAreaElement (const HTMLAreaElement &other)
| HTMLAreaElement (const Node &other)
HTMLAreaElement & | operator= (const HTMLAreaElement &other)
HTMLAreaElement & | operator= (const Node &other)
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
DOMString | alt () const
| Alternate text for user agents not rendering the normal content of this element.
void | setAlt (const DOMString &)
| see alt
DOMString | coords () const
| Comma-separated list of lengths, defining an active region geometry.
void | setCoords (const DOMString &)
| see coords
DOMString | href () const
| The URI of the linked resource.
void | setHref (const DOMString &)
| see href
bool | noHref () const
| Specifies that this area is inactive, i.e., has no associated action.
void | setNoHref (bool)
| see noHref
DOMString | shape () const
| The shape of the active area.
void | setShape (const DOMString &)
| see shape
long | tabIndex () const
| Index that represents the element's position in the tabbing order.
void | setTabIndex (long)
| see tabIndex
DOMString | target () const
| Frame to render the resource in.
void | setTarget (const DOMString &)
| see target
## Protected Member Functions
| HTMLAreaElement (HTMLAreaElementImpl *impl)

## Detailed Description

Client-side image map area definition.

See the AREA element definition in HTML 4.0.

Definition at line 46 of file html_image.h.

## Member Function Documentation

DOMString HTMLAreaElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 64 of file html_image.cpp.

void HTMLAreaElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 70 of file html_image.cpp.

DOMString HTMLAreaElement::alt | ( |  | ) | const

| Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. Definition at line 75 of file html_image.cpp.

void HTMLAreaElement::setAlt | ( | const DOMString & |  | ) |

| see alt Definition at line 81 of file html_image.cpp.

DOMString HTMLAreaElement::coords | ( |  | ) | const

| Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0. Definition at line 86 of file html_image.cpp.

void HTMLAreaElement::setCoords | ( | const DOMString & |  | ) |

| see coords Definition at line 92 of file html_image.cpp.

DOMString HTMLAreaElement::href | ( |  | ) | const

| The URI of the linked resource. See the href attribute definition in HTML 4.0. Definition at line 97 of file html_image.cpp. References href(), DOM::DOMString::length(), and DOM::DOMString::string(). Referenced by href().

void HTMLAreaElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 104 of file html_image.cpp.

bool HTMLAreaElement::noHref | ( |  | ) | const

| Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.0. Definition at line 109 of file html_image.cpp.

void HTMLAreaElement::setNoHref | ( | bool |  | ) |

| see noHref Definition at line 115 of file html_image.cpp.

DOMString HTMLAreaElement::shape | ( |  | ) | const

| The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0. Definition at line 126 of file html_image.cpp.

void HTMLAreaElement::setShape | ( | const DOMString & |  | ) |

| see shape Definition at line 132 of file html_image.cpp.

long HTMLAreaElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 137 of file html_image.cpp.

void HTMLAreaElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 143 of file html_image.cpp. References QString::number().

DOMString HTMLAreaElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 151 of file html_image.cpp.

void HTMLAreaElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 157 of file html_image.cpp.

The documentation for this class was generated from the following files:

- html_image.h
- html_image.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:30 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001